# $Revision: 1.62 $, $Date: 2002/10/30 08:56:49 $
Summary:	Tool Command Language embeddable scripting language, with shared libraries
Summary(fr):	Tool Command Language, langage de script avec bibliothques partages
Summary(pl):	Tool Command Language - jzyk skryptowy z bibliotekami dynamicznymi
Summary(ru):	Tool Command Language -   
Summary(tr):	TCL ile kullanlabilen betik dili
Summary(uk):	Tool Command Language -   Ԧ
Name:		tcl
Version:	8.3.4
Release:	6
License:	BSD
Group:		Development/Languages/Tcl
Source0:	ftp://ftp.scriptics.com/pub/tcl/tcl8_3/%{name}%{version}.tar.gz
Source1:	%{name}-pl-man-pages.tar.bz2
Patch0:		%{name}-glibc21.patch
Patch1:		%{name}-tmpfix.patch
Patch2:		%{name}-manlnk.patch
Patch3:		%{name}-64bit.patch
Patch4:		%{name}-readline.patch
Patch5:		%{name}-headers_fix.patch
Patch6:		%{name}-opt.patch
Patch7:		%{name}-ac25x.patch
Icon:		tcl.gif
URL:		http://www.scriptics.com/
BuildRequires:	autoconf
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TCL is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. TCL is very popular for writing small graphical
applications because of the TK widget set which is closely tied to it.

%description -l de
TCL ist eine einfache Skriptsprache, die zur Ingegration in andere
Applikationen vorgesehen ist. Dieses Paket umfat tclsh, ein einfaches
Beispiel einer tcl-Applikation. TCL wird gern zum Schreiben kleiner
grafischer Anwendungen benutzt, weil das TK-Widget-Set eng damit
verknpft ist.

%description -l fr
TCL est un langage simple de script, conu pour tre intgr dans
d'autres applications. Ce paquetage contient tclsh, un exemple simple
d'application tcl. TCL est trs utilis pour crire de petites
applications graphiques grce  l'ensemble de widgets TK qui lui est
trs li.

%description -l ja
Tcl ¾Υץꥱि˥ǥ󤵤줿ñʥ
ȸǤTclϥåɡåȤǤTkȤȤѤ褦˥ǥ
ƤޤΥѥåˤTclδñȤơtclsh
ޤǤޤ

%description -l pl
TCL jest prostym jzykiem skryptowym, przeznaczonym do wsppracy z
innymi aplikacjami. W pakiecie znajduje si rwnie tclsh - prosty
przykad programw. TCL jest bardzo popularnym jzykiem do pisania
maych programw graficznych.

%description -l ru
TCL -    ,  
   .    tclsh, 
   tcl. TCL     
  -    TK, 
    .

%description -l tr
TCL, baka uygulamalarn iine gmlmesi hedeflenerek gelitirilmi
basit bir betimleme dilidir. Bu paket basit bir tcl uygulamas rnei
olan tclsh kabuunu ierir. TCL, kendisi ile skca ilintili olan TK
arayz eleman kmesinin de desteiyle kk grafik uygulamalar yazma
konusunda son derece yaygn kullanlmaktadr.

%description -l uk
TCL -    ,     ۦ
.   ͦ  tclsh,    
tcl. TCL      Ʀ 
   ͦצ TK,     Ԧ
'.

%package devel
Summary:	Tool Command Language header files and development documentation
Summary(pl):	Pliki nagwkowe oraz dokumentacja dla tcl (Tool Command Language)
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}

%description devel
Tool Command Language embeddable scripting language header files and
develppment documentation.

%description devel -l pl
Pliki nagwkowe oraz dokumentacja dla tcl (Tool Command Language).

%prep
%setup  -q -n %{name}%{version}
%patch0 -p1
#%patch1 -p1 CHECK IT!
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
cd unix
sed -e "s/^CFLAGS_OPTIMIZE.*/CFLAGS_OPTIMIZE=%{rpmcflags} -D__NO_STRING_INLINES -D__NO_MATH_INLINES -D_REENTRANT/" \
	Makefile.in > Makefile.in.new
mv -f Makefile.in.new Makefile.in
%{__autoconf}
%configure \
	--enable-shared \
	--disable-threads \
	--enable-64bit \
	--enable-gcc
%{__make}

sed -e "s#%{_builddir}/%{name}%{version}/unix#%{_libdir}#; \
	s#%{_builddir}/%{name}%{version}#%{_includedir}#" tclConfig.sh > tclConfig.sh.new
mv -f tclConfig.sh.new tclConfig.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix},%{_mandir}/man1}

cd unix
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}

ln -sf libtcl8.3.so $RPM_BUILD_ROOT%{_libdir}/libtcl.so
mv -f $RPM_BUILD_ROOT%{_bindir}/tclsh8.3 $RPM_BUILD_ROOT%{_bindir}/tclsh

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/tcl8.3
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/tclConfig.sh
%{_libdir}/libtclstub8.3.a
%{_includedir}/*
%{_mandir}/man[3n]/*
%lang(pl) %{_mandir}/pl/mann/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tcl.spec,v $
Revision 1.62  2002/10/30 08:56:49  kloczek
- release 6.

Revision 1.61  2002/10/29 22:16:35  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.60  2002/07/03 16:25:19  dobrek
- extended sc25 patch. TCL now builds. (STBR)
- Revision number set to 5

Revision 1.59  2002/06/27 20:06:34  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.58  2002/06/22 23:00:03  kloczek
- release 4: merge translations from KONDRA and KSI.

Revision 1.57  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/02/23 04:49:03  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/11/25 20:04:51  ankry
- add more pl man pages
- release 3

Revision 1.52  2001/11/19 22:14:22  ankry
- added pl man page
- release 2

Revision 1.51  2001/10/24 10:15:19  mkierus
- updated to 8.3.4

Revision 1.50  2001/10/11 14:31:53  qboosh
- BuildRequires: autoconf

Revision 1.49  2001/06/17 08:57:32  jajcus
- Version: 8.3.3
- removed ieee patch (doesn't seem to be needed now)
- updated headers_fix.patch
- thread support turned off (some Tk apps won't work well with this)

Revision 1.48  2001/04/13 00:34:46  kloczek
- release52: rebuild against readline 4.2.

Revision 1.47  2001/04/05 23:38:33  misiek
release 51; threads and 64bit enabled

Revision 1.46  2000/12/14 16:36:18  baggins
- release 50
- added opt patch
- use RPM_OPT_FLAGS

Revision 1.45  2000/11/12 21:48:52  kloczek
- release 49 (for allow upgrade from RH),
- spec adapterized.

Revision 1.44  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.43  2000/10/10 16:21:09  wiget
more header in devel

Revision 1.42  2000/10/07 07:26:03  pascalek
- updated to 8.3.2
- gzipping and stripping removed

Revision 1.41  2000/07/13 23:22:57  baggins
- release 37
- rebuild with ncurses 5.1

Revision 1.40  2000/06/13 19:02:33  kloczek
- spec adapterized.

Revision 1.39  2000/06/12 14:09:47  baggins
- release 36
- added autoconf fix

Revision 1.38  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.34  2000/03/23 12:19:47  kloczek
- release 35,
- added sigpwr patch (fix for compile on systems where SIGPWR == SIGLOST).

Revision 1.33  2000/03/23 12:13:53  kloczek
- release 33,
- build against readline 4.1.

Revision 1.32  1999/11/16 17:19:20  kloczek
- release 32,
- build against ncurses 5.0.

Revision 1.31  1999/09/05 23:21:15  kloczek
- typo.

Revision 1.30  1999/09/05 22:58:53  kloczek
- release 31,
- added using %%configure macro,
- additional header files to install (headers_fix patch),
- --strip-unneeded on stripping shared libraries.

Revision 1.29  1999/07/28 14:47:10  kloczek
- release to 3.

Revision 1.28  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.27  1999/07/16 14:57:15  baggins
- remove previous change

Revision 1.26  1999/07/16 14:47:09  baggins
- small fix

Revision 1.25  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [8.0.5-2]
- based on RH spec,
- added patches:
-- tcl-glibc21.patch - fiix problems on glibc 2.1 (RH 6.0),
-- tcl-tmpfix.patch - fix tmp race (from Debian),
-- tcl-manlnk.patch - make some ,man pages as *roff include,
-- tcl-64bit.patch - fix problems on 64-bit architectures,
-- tcl-readline.patch -- add ability to use readline in tclsh,
- spec rewrited by PLD team.
